AOZ Studio Beta - Bug #627

Rename doesn't work on AOZ program folders.
01/23/2021 02:14 PM - Brian Flanagan

Status: Feedback Start date: 01/23/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B10) u16

Description

If | attempt to rename an AOZ program folder | get the error:
EPERM: operation not permitted...

I CAN, however, rename the .aoz source file without probelems.

History

#1 - 01/31/2021 07:32 AM - Brian Flanagan

Actually, there ARE also problems on renaming the .aoz source as well.
On the Windows version, renaming will leave a file by the previous name 0 bytes long in the same folder.

It will also NOT update the Project tree with the new name for the file.

#2 - 01/31/2021 07:33 AM - Brian Flanagan
- Priority changed from Normal to High

#3 - 02/20/2021 05:52 AM - Brian Flanagan

Re-tested in 2/19/2021 version. Still fails. (Windows version.)

#4 - 04/23/2021 09:49 AM - Brian Flanagan

- Status changed from New to Closed

Re-tested in 1.0.0 (B7) on macOS. Works fine now!

#5 - 04/27/2021 07:45 PM - Baptiste Pillot

- Status changed from Closed to New

Re-tested in 1.0.0 (B7) on Windows. Still does not work! (sorry, btw)

#6 - 10/21/2021 09:27 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B10) u16

Still works in macOS in 1.0.0 (B10) u16 (21 Oct 2021)

Is this working in Windows yet, Baptiste P?

#7 - 12/07/2021 12:47 PM - Brian Flanagan

- Status changed from New to Feedback

This has been working fine in macOS for some time.

Baptiste P: Is it still broken in Windows?
